Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022352
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-11-20 13:182013-02-04 17:22
ReporterxabiermerinoView Statuspublic 
Assigned Topramakrishnan 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision1c2b9754fa15
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP17SCM revision 
Review Assigned Toxabiermerino
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022352: Wrong behaviour when reactivate a payment of G/L Items

DescriptionWith ',' as decimal separator the window 'Add details' does not calculate properly the total amount.
Steps To Reproduce-Change the Format.xml
-As admin create a payment in of 60,57
-Add details:
    line 1: GL Item A - To paid: 16.10
    line 2: GL Item B - To receive: 76.67
-Process
-reactivate the payment (without delete lines)
-click Add details
-realize that the total amount is wrong (see file attached)
TagsNo tags attached.
Attached Filesjpg file icon adddetails.jpg [^] (6,536 bytes) 2012-11-20 13:18

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056004)
pramakrishnan (developer)
2013-01-31 12:38

Test Plan:
Change the Format.xml
Login as Openbravo/openbravo
Create payment in for the amount 60,57 with payment date as 31.01.2013
Click Add details and add a gl item with paid out as 16,10
Click Add details and add another gl item with received in as 76,67
Click Process
Now, reactivate the payment
Again click add details
Notice that the total amount is getting displayed correctly
(0056059)
hgbot (developer)
2013-02-01 14:14

Repository: erp/devel/pi
Changeset: 1c2b9754fa15cad3f3ccfb045d604d4bec21c9ed
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Thu Jan 31 18:02:12 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/1c2b9754fa15cad3f3ccfb045d604d4bec21c9ed [^]

Fixes Issue 22352: Wrong behaviour when reactivate a payment of G/L Items

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.html
---
(0056111)
hudsonbot (developer)
2013-02-01 22:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test
(0056136)
xabiermerino (developer)
2013-02-04 17:22

verified

- Issue History
Date Modified Username Field Change
2012-11-20 13:18 xabiermerino New Issue
2012-11-20 13:18 xabiermerino Assigned To => dmiguelez
2012-11-20 13:18 xabiermerino File Added: adddetails.jpg
2012-11-20 13:18 xabiermerino Modules => Core
2012-11-20 13:18 xabiermerino Issue Monitored: networkb
2012-11-20 13:30 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-12-04 11:51 jonalegriaesarte Target Version 3.0MP18 => 3.0MP19
2012-12-10 17:22 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2013-01-02 09:43 jonalegriaesarte Triggers an Emergency Pack => No
2013-01-02 09:43 jonalegriaesarte Severity major => minor
2013-01-09 11:26 jonalegriaesarte Target Version 3.0MP19 => 3.0MP20
2013-01-28 18:01 jonalegriaesarte Assigned To ioritzCia => dmiguelez
2013-01-31 11:32 pramakrishnan Assigned To dmiguelez => pramakrishnan
2013-01-31 11:33 pramakrishnan Status new => scheduled
2013-01-31 11:33 pramakrishnan fix_in_branch => pi
2013-01-31 12:38 pramakrishnan Note Added: 0056004
2013-02-01 14:14 hgbot Checkin
2013-02-01 14:14 hgbot Note Added: 0056059
2013-02-01 14:14 hgbot Status scheduled => resolved
2013-02-01 14:14 hgbot Resolution open => fixed
2013-02-01 14:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1c2b9754fa15cad3f3ccfb045d604d4bec21c9ed [^]
2013-02-01 22:29 hudsonbot Checkin
2013-02-01 22:29 hudsonbot Note Added: 0056111
2013-02-04 17:22 xabiermerino Review Assigned To => xabiermerino
2013-02-04 17:22 xabiermerino Note Added: 0056136
2013-02-04 17:22 xabiermerino Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker